Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476893 - perl package access query needs update for multiorg
Summary: perl package access query needs update for multiorg
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: Red Hat Satellite QA List
URL: network/software/packages/*.pxt
Whiteboard:
Depends On: 476573
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-17 19:53 UTC by Shannon Hughes
Modified: 2009-01-22 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:19 UTC


Attachments (Terms of Use)

Description Shannon Hughes 2008-12-17 19:53:57 UTC
the perl package pages (dependencies.pxt, system list, etc) needs the underlying query that determines package access to use the new view that was created with the 476573 bug. if a org has access to another orgs shared channel then they should have access to the package details.

Comment 1 Shannon Hughes 2008-12-17 20:02:30 UTC
fixed package.pm

Comment 2 Shannon Hughes 2009-01-14 21:34:06 UTC
confirmed on fjs-0-02


Note You need to log in before you can comment on or make changes to this bug.